/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.annotation.editingsupport;

import java.util.Collection;

import org.eclipse.jface.viewers.EditingSupport;
import org.eclipse.swt.widgets.Composite;
import org.fortiss.tooling.base.annotation.AnnotationEntry;
import org.fortiss.tooling.base.model.element.IModelElement;

/**
 * Interface for {@link EditingSupport}s for annotations that can hold multiple values.
 * 
 * @author barner
 */
public interface IMultiValueAnnotationEditingSupport<T> {

	/**
	 * Returns a {@link String} label for the given annotation (identified by its
	 * {@link AnnotationEntry}).
	 */
	String getLabel(Object element);

	/** Creates the {@link IMultiValueAnnotationDialog} to edit multiple values. */
	IMultiValueAnnotationDialog<T> createMultiEditingDialog(Composite parent,
			IModelElement modelElement, Collection<T> values);
}
