/*******************************************************************************
 * Copyright (c) 2017, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.fortiss.tooling.base.ui.editor.fx.controller;

import static org.fortiss.tooling.base.ui.utils.LayoutDataUIUtils.addConnectionPoint;

import org.fortiss.tooling.base.model.layout.ILayoutedModelElement;
import org.fortiss.tooling.common.ui.javafx.lwfxef.DiagramCoordinate;
import org.fortiss.tooling.common.ui.javafx.lwfxef.DiagramViewer;
import org.fortiss.tooling.common.ui.javafx.lwfxef.controller.IController;
import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.ILinkMVCBundle;
import org.fortiss.tooling.kernel.model.INamedCommentedElement;

/**
 * {@link IController} for {@link ILayoutedModelElement}s representing straight links and
 * connections in a {@link DiagramViewer}.
 * 
 * @author hoelzl
 */
public class LayoutedLineLinkBendPointController<T extends INamedCommentedElement & ILayoutedModelElement>
		extends LayoutedLinkBendPointController<T> {

	/** Constructor. */
	public LayoutedLineLinkBendPointController(ILinkMVCBundle mvcb, Class<T> modelType) {
		super(mvcb, modelType);
	}

	/** {@inheritDoc} */
	@Override
	protected void createBendPointAt(int bpIndex, DiagramCoordinate location) {
		int x = (int)location.getX();
		int y = (int)location.getY();
		addConnectionPoint(getModelElement(), bpIndex, x, y);
	}
}
