/*-------------------------------------------------------------------------+
| Copyright 2017 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.layout.auto;

import org.fortiss.tooling.base.model.element.IHierarchicElement;
import org.fortiss.tooling.base.model.layout.ILayoutedModelElement;

/**
 * Interface for automatic layouters for models based on {@link IHierarchicElement} /
 * {@link ILayoutedModelElement}.
 * *
 * 
 * @author barner
 */
public interface IAutoLayouter {

	/**
	 * Layouts the child elements of the given {@link IHierarchicElement}.
	 * 
	 * @param hierarchicElement
	 *            The {@link IHierarchicElement} whose contained elements will be layouted.
	 */
	public abstract void performAutoLayout(IHierarchicElement hierarchicElement);
}
