/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *     Alexander Diewald (fortiss GmbH) - backport to AF3 & Integration
 *                                        improvements
 *
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.control.treetableview;

import static java.util.Collections.emptyList;

import java.util.Collection;

/**
 * Base class for implementing tree content providers used in {@link DynamicTreeViewer} and
 * {@link DynamicTreeTableViewer}.
 */
public class DynamicListContentProvider<T> extends DynamicTreeContentProviderBase<T> {
	/** Returns the children of the given parent in the tree. */
	@SuppressWarnings("unchecked")
	@Override
	protected Collection<T> getChildren(T parent) {
		// Pseudo-cast...
		if(parent instanceof Collection) {
			return (Collection<T>)parent;
		}
		return emptyList();
	}
}
