/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.model;

import static java.util.Collections.emptyList;

import java.util.List;

/** Base implementation for {@link IModelFactory}. */
public abstract class ModelFactoryBase implements IModelFactory {
	/** {@inheritDoc} */
	@Override
	public List<?> getContentModels() {
		return emptyList();
	}

	/** {@inheritDoc} */
	@Override
	public List<?> getDiagramAnchorageModels() {
		return emptyList();
	}

	/** {@inheritDoc} */
	@Override
	public List<?> getContentAnchorageModels(Object parent) {
		return emptyList();
	}

	/** {@inheritDoc} */
	@Override
	public List<?> getLinkModels() {
		return emptyList();
	}

	/** {@inheritDoc} */
	@Override
	public Object getLinkStart(Object link) {
		return null;
	}

	/** {@inheritDoc} */
	@Override
	public Object getLinkEnd(Object link) {
		return null;
	}

	/** {@inheritDoc} */
	@Override
	public Object getParent(Object element) {
		return null;
	}
}
