/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.mvc;

import java.util.List;

/**
 * Interface for {@link IMVCBundle}s, which represent anchorages and thus can have directed links
 * attached to them.
 */
public interface IAnchorageMVCBundle extends IMVCBundle {
	/** Returns the {@link IMVCBundle} this anchorage is attached to. */
	IMVCBundle getAttachedTo();

	/** Returns the list of incoming links. */
	List<ILinkMVCBundle> getIncomingLinks();

	/** Returns the list of outgoing links. */
	List<ILinkMVCBundle> getOutgoingLinks();
}
