/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.impl;

import org.fortiss.tooling.common.ui.javafx.lwfxef.DiagramViewer;
import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.IContentAnchorageMVCBundle;
import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.IDiagramAnchorageMVCBundle;
import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.IDiagramMVCBundle;
import org.fortiss.tooling.common.ui.javafx.lwfxef.visual.IDiagramAnchorageVisual;

/** Implementation of {@link IContentAnchorageMVCBundle}. */
public final class DiagramAnchorageMVCBundle extends AnchorageMVCBundleBase
		implements IDiagramAnchorageMVCBundle {

	/** Constructor. */
	public DiagramAnchorageMVCBundle(Object m, IDiagramMVCBundle attachedTo, DiagramViewer v) {
		super(m, attachedTo, v);
		attachedTo.getAnchorages().add(this);
	}

	/** {@inheritDoc} */
	@Override
	public void remove() {
		getAttachedTo().getAnchorages().remove(this);
	}

	/** {@inheritDoc} */
	@Override
	public IDiagramMVCBundle getAttachedTo() {
		// wild cast works: see constructor
		return (IDiagramMVCBundle)super.getAttachedTo();
	}

	/** {@inheritDoc} */
	@Override
	public IDiagramAnchorageVisual getVisual() {
		return (IDiagramAnchorageVisual)super.getVisual();
	}
}
