/*******************************************************************************
 * Copyright (c) 2017, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0, which is available at 
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.spiderchart.model;

import static java.util.Objects.requireNonNull;

/**
 * Base class for different axis implementations.
 * 
 * @author hoelzl
 */
public abstract class AxisBase {
	/** The name of the axis. */
	private final String name;

	/** Constructor. */
	public AxisBase(String name) {
		this.name = requireNonNull(name);
	}

	/** Returns name. */
	public final String getName() {
		return name;
	}

	/** Returns whether the given value is between minimum and maximum of this axis. */
	public abstract boolean isValidValue(Object d);
}
