/*******************************************************************************
 * Copyright (c) 2017, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0, which is available at 
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.spiderchart.util;

import org.fortiss.tooling.spiderchart.model.DoubleAxis;
import org.fortiss.tooling.spiderchart.style.AxisStyle;

import javafx.geometry.Point2D;

/**
 * Utility methods related to {@link DoubleAxis} and {@link AxisStyle}.
 * 
 * @author hoelzl
 * @author munaro
 */
public class AxisUtils {
	/** Returns the segment point on the axis if the the axis displayed with the given extents. */
	public static Point2D getSegmentPoint(int numberOfSegments, int segment, double extentX,
			double extentY) {
		double segmentX = extentX / numberOfSegments;
		double segmentY = extentY / numberOfSegments;
		return new Point2D(segmentX * segment, segmentY * segment);
	}

	/** Returns the segment point on the axis if the the axis displayed with the given extents. */
	public static Point2D getSegmentPoint(AxisStyle style, int segment, Point2D extent) {
		return getSegmentPoint(style.getSegments(), segment, extent.getX(), extent.getY());
	}
}
