/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.color;

import org.eclipse.swt.graphics.Color;

import org.conqat.lib.commons.assertion.CCSMPre;

/**
 * Color provider returning a constant color.
 * 
 * @author hummelb
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: 202EBB8ADDEC8112BD9EFCAEC84B2D33
 */
public class ConstantColorProvider<T> implements IColorProvider<T> {

	/** The color. */
	private final Color color;

	/** Constructor. */
	public ConstantColorProvider(Color color) {
		CCSMPre.isNotNull(color);
		this.color = color;
	}

	/** {@inheritDoc} */
	public Color getColor(T t) {
		return color;
	}
}